Legend in Print Composer for layers with multiple styles

2015-12-01 02:45 PM - Jamie Portman

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21948

Description

When you have a layer with multiple styles, the legend in the print composer doesn't treat the two styles independently.

Everything works fine, if you don't make any modifications, but as soon as you make any changes to the legend for one style, those

over-rides are also applied to any other styles the layer may have.

For example, changing the wording/text, moving an item up or down in the list or removing a particular category all result in the same

changes being made in the legend for the alternate styles.

For example, I have a single layer, categorised using a range of rule-based expressions.

I have two different styles for different plans that are showing different information.

In plan 1, I don't want the 3rd item in the list to show in the legend (I want it on the map, but it is not required on the legend).

If I delete the 3rd item in that layer from the legend, then change the style to print the legend for the 2nd plan, the 3rd item in it's legend

has also been removed.

Modifications to legend properties should apply to an individual style.

History

#1 - 2016-01-28 05:49 AM - Saber Razmjooei

- Category set to Map Composer/Printing

#2 - 2016-01-28 05:49 AM - Saber Razmjooei

- Status changed from Open to Feedback

Could you try in master and report back?

#3 - 2016-01-28 09:48 PM - Jamie Portman

I have tested in the latest nightly build, and it IS still an issue.

Notably, another issue does appear to have been resolved - previously if a legend was filtered and the caption was edited, then it would change the wrong

value. 

This is now working correctly.

#4 - 2016-04-09 11:47 PM - Giovanni Manghi

- Status changed from Feedback to Open
#5 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
